* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

html,body {
    height: 100%;
    width: 100%;
}

nav {
    padding: 15px 122.75px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #000;
    position: relative;
    height: 88px;
}

.container-links {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 7px;
    color: white;
}

.icon-link {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    text-decoration: none;
    color: white;
    font-size: 24px;
    font-weight: bold;
}

.container-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
    border-radius: 5px;
    width: 32.02px;
    height: 32.02px;
}

.icon-link:hover {
    color: #d4d4d4;
}

.icon-link:hover .container-logo {
    background-color: #d4d4d4;
}

.container-links span {
    font-size: 29px;
}

.help-link {
    text-decoration: none;
    color: white;
    font-size: 24px;
    font-weight: 400;
    transition: 0.3s ease all;
}

.help-link:hover {
    text-decoration: underline;
}

.container-button {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.container-button li {
    list-style: none;
}

.submit,
.sign-in {
    color: white;
    font-size: 24px;
    font-weight: 400;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
}

.submit {
    padding: 6px 22px;
    background-color: black;
    border: solid 1px;
}

.sign-in {
    padding: 6px 32px;
    background-color: #4C5FD5;
    border: hidden;
    transition: 0.3s ease all;
}

.sign-in:hover {
    color: #000;
    background-color: #fff;
}

.menu-icon {
    display: none;
}

.bx {
    color: #fff;
    font-size: 29px;
}

.bx-x {
    display: none;
}

header {
    background-color: #dadbf1;
}

.section-header {
    padding: 80px 30px 115px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.container-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 39%;
}

h1 {
    margin: 0;
    margin-bottom: 16px;
    font-size: 80px;
    font-weight: 400;
    text-align: center;
}

.search {
    height: 64px;
    width: 100%;
    border: 1px solid #000;
    border-radius: 3px;
    padding: 16px;
    background-image: url('./images/bx-right-arrow-alt.svg');
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 30px;
    outline: none;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: 0.15s ease-in-out;
    font-size: 19px;
}

.search::placeholder {
    font-size: 19px;
}

.search:focus {
    border: 1px solid #4C5FD5;   
    background-image: url('./images/arrow-blue.svg');
}

.search:hover {
    border: 1px solid #4C5FD5;   
    background-image: url('./images/arrow-blue.svg');
}

main {
    padding-inline: 30px;
}

.section-main {
    width: 80%;
    margin: auto;
}

.container-grid {
    margin-top: 128px;
    margin-bottom: 64px;
}

.wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 10px;
    grid-auto-rows: minmax(254px, auto);
}

.wrapper div {
    display: flex;
    align-items: start;
    justify-content: start;
}

.image-content {
    margin-right: 30px;
    margin-top: 48px;
}

.content {
    display: flex;
    flex-direction: column;
}

.content h4 {
    font-size: 24px;
    margin-top: 48px;
    margin-bottom: 16px;
}

.content p {
    margin-bottom: 20px;
    line-height: 32px;
    font-size: 24px;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif
}

.content a {
    color: #4C5FD5;
    font-size: 20px;
    font-weight: 400;
    text-decoration: none;
}

.content a:hover {
    text-decoration: underline;
}

footer {
    background-color: #000;
    padding: 0 30px 60px;
}

.container-footer {
    display: grid;
    grid-template-columns: repeat(5, 1fr) 0.5fr;
    column-gap: 50px;
    justify-items: start;
    padding-bottom: 100px;
    width: 90%;
    margin: 0 auto;
    position: relative;
}

.content-footer {
    display: flex;
    flex-direction: column;
    color: #fff;
}

.content-footer a {
    text-decoration: none;
    color: #fff;
    margin-bottom: 8px;
}

.content-footer a:hover {
    text-decoration: underline;
}
.content-footer h5 {
    margin: 48px 0 16px;
    font-size: 24px;
    font-weight: 700;
}

.content-footer div {
    display: flex;
    flex-direction: column;
}

.content-footer div h6 {
    margin-top: 15px;
    margin-bottom: 8px;
    font-size: 16px;
    font-weight: 600;
}

.copyright .container-logo {
    margin-bottom: 20px;
}

.copyright p {
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 5px;
}

.copyright {
    position: absolute;
    bottom: 0px;
    right: 0;
}

.floating-button {
    border: 1px solid transparent;
    display: flex;
    background-color: #4C5FD5;
    padding: 13px 22px;
    align-items: center;
    justify-content: center;
    color: #fff;
    border-radius: 50px;
    font-size: 15px;
    font-weight: bold;
    position: fixed;
    bottom: 40px;
    right: 40px;
    cursor: pointer;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.3);
    z-index: 99;
}

.bx-question-mark {
    font-size: 15px;
}

.floating-button div {
    border: 2px solid #fff;
    border-radius: 50px;
    margin-right: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media (max-width: 1200px) {
    nav {
        padding: 15px
    }

    .container-button {
        position: absolute;
        top: 85px;
        right: 0;
        left: 0;
        flex-direction: column;
        text-align: center;
        background: #000;
        padding: 32px 16px;
        gap: 0;
        overflow: hidden;
    }

    .container-button li {
         padding: 16px 0;
    }

    .submit,
    .sign-in {
        font-size: 24px;
        border: none;
        transition: 0.3s ease all;
        background-color: transparent;
    }

    .line-responsive {
        border-bottom: 1px solid #d4d4d4;
    }

    .submit:hover,
    .sign-in:hover {
        color: #d4d4d4;
        background-color: transparent;
    }

    .menu-icon {
        display: block;
    }

    .container-header {
        width: 60%;
    }

    h1 {
        font-size: 70px
    }

    .container-footer {
        grid-template-columns: repeat(6, 1fr);
        column-gap: 0px;
        width: 100%;
    }
}

@media (max-width: 769px) {
    .container-header {
        width: 100%;
    }

    h1 {
        font-size: 35px
    }

    .section-main {
        width: 95%;
    }

    .image-content {
        width: 65.06px;
        height: 65.06px;
    }

    .container-grid {
        margin-top: 64px;
    }

    .six {
        margin-bottom: 64px;
    }

    .wrapper {
        grid-template-columns: 1fr; /* Una sola columna */
    }

    .container-footer {
        grid-template-columns: repeat(2, 1fr);
        padding-bottom: 0;
    }

    .copyright {
        position: static;
        bottom: 0px;
        right: 0;
    }

    .copyright .container-logo {
        margin-top: 40px;
    }
}


